Get instance configurations

  • GET /platform/configuration/instances
Auth

Get instance configurations.

Query parameters

show_deleted boolean

If true, instance configurations marked for deletions are also returned. Otherwise, only instance configurations not marked for deletion are returned

show_max_zones boolean · default: false

If true, will populate the max_zones field of the instance configurations.

include_versions boolean · default: false

If true, will return all existing versions of each instance configuration.

Response

A InstanceConfiguration

application/octet-stream
<array> object[]
id string

Unique identifier for the instance configuration

name string required

Display name for the instance configuration.

config_version integer · format: int32

If the IC is configuration controlled, this field is the version either being read back (reads return the latest IC unless specified by the 'config_version' URL param), or the version to update. Cannot be used in creates. For unversioned IC reads it is left empty.

description string

Optional description for the instance configuration

instance_type enum

The type of instance. For instance configurations where the type is specified in the 'id', the default value of 'instance_type' will be automatically inferred.

Values: elasticsearch kibana apm integrations_server appsearch enterprise_search
node_types string[]

Node types (master, data) for the instance. For instance configurations where the type (and tier) is specified in the 'id', the default value of 'node_types' will be automatically inferred.

discrete_sizes object required

Instance sizes that are supported by the Elasticsearch instance, Kibana instance, or APM Server configuration.

sizes integer[] · format: int32 required

List of supported sizes

default_size integer · format: int32

The default size

resource enum

The unit that each size represents. If not specified, it will default to 'memory'.

Values: memory storage
allocator_filter object

The container for all of the allowed Elasticsearch queries. Specify only one property each time.

match map string to object
<string> object
query string required

The text/numeric/date to query for.

operator string

The operator flag can be set to or or and to control the boolean clauses (defaults to or).

minimum_should_match integer · format: int32

The minimum number of optional should clauses to match.

analyzer string

The analyzer that will be used to perform the analysis process on the text. Defaults to the analyzer that was used to index the field.

match_all object

A query that matches all documents.

match_none object

A query that doesn't match any documents.

term map string to object
<string> object
value string required

The exact value to query for.

bool object

A query for documents that match boolean combinations of other queries.

must object[]
Same fields as allocator_filter
should object[]
Same fields as allocator_filter
must_not object[]
Same fields as allocator_filter
filter object[]
Same fields as allocator_filter
minimum_should_match integer · format: int32

The minimum number of optional should clauses to match.

query_string object

A query that uses the strict query string syntax for parsing. Will return an error for invalid syntax.

query string required

The actual query to be parsed.

default_field string

The default field for query terms if no prefix field is specified.

analyzer string

The analyzer used to analyze each term of the query when creating composite queries.

default_operator string

The default operator used if no explicit operator is specified.

allow_leading_wildcard boolean

When set, * or ? are allowed as the first character. Defaults to false.

nested object

A query that matches nested objects.

query object required

The container for all of the allowed Elasticsearch queries. Specify only one property each time.

Same fields as allocator_filter
path string required

The path to the nested object.

score_mode enum

Allows to specify how inner children matching affects score of the parent. Refer to the Elasticsearch documentation for details.

Values: avg sum min max none
prefix map string to object
<string> object
value string required

The prefix to search for.

boost number · format: float

An optional boost value to apply to the query.

exists object

Matches documents that have at least one non-null value in the original field.

field string required

The field to check for non-null values in.

range map string to object
<string> object
gt object

Greater-than

gte object

Greater-than or equal to

lt object

Less-than

lte object

Less-than or equal to.

boost number · format: float

An optional boost value to apply to the query.

format string

Formatted dates will be parsed using the format specified on the date field by default, but it can be overridden by passing the format parameter.

time_zone string

Dates can be converted from another timezone to UTC either by specifying the time zone in the date value itself (if the format accepts it), or it can be specified as the time_zone parameter.

simple_query_string object

A query that uses simple query string syntax. Will ignore invalid syntax.

query string required

The query expressed in simple query string syntax.

fields string[]

Array of fields to search

default_operator string

The boolean operator used to combine the terms of the query. Valid values are OR (default) and AND.

analyze_wildcard boolean

If true, the query attempts to analyze wildcard terms. Defaults to false.

analyzer string

The name of the analyzer to use to convert the query text into tokens.

auto_generate_synonyms_phrase_query boolean

If true, the parse creates a match_phrase uery for each multi-position token. Defaults to true.

flags string

List of enabled operators for the simple query string syntax. Defaults to ALL.

fuzzy_max_expansions integer · format: int32

Maximum number of terms to which the query expands for fuzzy matching. Defaults to 50.

fuzzy_prefix_length integer · format: int32

Number of beginning characters left unchanged for fuzzy matching. Defaults to 0.

fuzzy_transpositions boolean

If true, edits for fuzzy matching include transpositions of two adjacent characters. Defaults to false.

lenient boolean

If true, format-based errors, such as providing a text value for a numeric field are ignored. Defaults to false.

minimum_should_match string

Minimum number of clauses that must match for a document to be returned.

quote_field_suffix string

Suffix appended to quoted text in the query string.

storage_multiplier number · format: double

Settings for the instance storage multiplier

deleted_on string · format: date-time

Date/time that this instance configuration was marked for deletion

system_owned boolean

Indicates if a instance configuration is system owned (restricts the set of operations that can be performed on it)

metadata object

Optional arbitrary metadata to associate with this template.

cpu_multiplier number · format: double

Settings for the instance CPU multiplier

allowed_zones string[]

The zones this instance configuration may exist in. Leaving out this parameter or specifying an empty list implies all zones are allowed. Normally not needed, but can be useful for exceptional infrastructure constraints.

max_zones integer · format: int32

The maximum number of availability zones in which this instance configuration has allocators. This field will be missing unless explicitly requested with the show_max_zones parameter.